Bug 233431 - [WebGPU] Provide default values for descriptor struct members
Summary: [WebGPU] Provide default values for descriptor struct members
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Myles C. Maxfield
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-11-22 13:38 PST by Myles C. Maxfield
Modified: 2021-11-29 12:12 PST (History)
2 users (show)

See Also:


Attachments
Patch (64.58 KB, patch)
2021-11-22 13:42 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (63.78 KB, patch)
2021-11-23 01:16 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Myles C. Maxfield 2021-11-22 13:38:43 PST
[WebGPU] Provide default values for descriptor struct members
Comment 1 Myles C. Maxfield 2021-11-22 13:42:04 PST
Created attachment 444979 [details]
Patch
Comment 2 Myles C. Maxfield 2021-11-23 01:16:26 PST
Created attachment 445017 [details]
Patch
Comment 3 Alex Christensen 2021-11-29 10:17:57 PST
Comment on attachment 445017 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=445017&action=review

> Source/WebCore/PAL/pal/graphics/WebGPU/WebGPURenderPassColorAttachment.h:41
> +    TextureView* resolveTarget { nullptr };

I'm not sure about the lifetime of this object, but we may consider making this a WeakPtr.
Comment 4 Myles C. Maxfield 2021-11-29 11:35:00 PST
Comment on attachment 445017 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=445017&action=review

>> Source/WebCore/PAL/pal/graphics/WebGPU/WebGPURenderPassColorAttachment.h:41
>> +    TextureView* resolveTarget { nullptr };
> 
> I'm not sure about the lifetime of this object, but we may consider making this a WeakPtr.

These objects are never stored, so I think a raw pointer is the right type to use.
Comment 5 EWS 2021-11-29 12:11:32 PST
Committed r286252 (244615@main): <https://commits.webkit.org/244615@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 445017 [details].
Comment 6 Radar WebKit Bug Importer 2021-11-29 12:12:25 PST
<rdar://problem/85829191>